[SCM] eclipse - Powerful IDE written in java - Debian package. branch, master, updated. f1fcf931a0b50ea8338f9486127bddaeb9d82fe3

Niels Thykier nthykier-guest at alioth.debian.org
Sat Oct 10 21:08:23 UTC 2009


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse - Powerful IDE written in java - Debian package.".

The branch, master has been updated
       via  f1fcf931a0b50ea8338f9486127bddaeb9d82fe3 (commit)
      from  2445f698a48bc74672fde41748ab78ac7c19333d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit f1fcf931a0b50ea8338f9486127bddaeb9d82fe3
Author: Niels Thykier <niels at thykier.net>
Date:   Sat Oct 10 23:08:19 2009 +0200

    Bug fixing of sys-jar linking.

-----------------------------------------------------------------------

Summary of changes:
 debian/extra/plugin-linker.sh |   10 ++++++----
 debian/rules                  |    2 +-
 debian/sys-jars               |    2 +-
 3 files changed, 8 insertions(+), 6 deletions(-)

diff --git a/debian/extra/plugin-linker.sh b/debian/extra/plugin-linker.sh
index d3d8737..ef19210 100644
--- a/debian/extra/plugin-linker.sh
+++ b/debian/extra/plugin-linker.sh
@@ -1,14 +1,15 @@
-#!/bin/sh
+#!/bin/sh                                                                                                                                                                                                                                                                             
 set -e
 
 ECLIPSE_PATH="$1"
 PLUGIN="$2"
 SYSTEM_JAR="$3"
 
-PLUGIN_NAME=`echo "$2"/plugins/"$3"*`
+PLUGIN_NAME=`echo "$1"/plugins/"$2"*`
 
 if [ ! -e "$PLUGIN_NAME" ] ; then
-    echo "Cannot find PLUGIN in $ECLIPSE_PATH/plugins" >&2
+    echo "Cannot find $PLUGIN in $ECLIPSE_PATH/plugins" >&2
+    echo "(Tried: $PLUGIN_NAME)" >&2
     exit 1
 fi
 if [ ! -e "$SYSTEM_JAR" ] ; then
@@ -16,6 +17,7 @@ if [ ! -e "$SYSTEM_JAR" ] ; then
     exit 1
 fi
 
-echo "Replacing $PLUGIN with $SYSTEM_JAR"
+echo "Replacing `basename $PLUGIN_NAME` with $SYSTEM_JAR"
 rm "$PLUGIN_NAME"
 ln -s "$SYSTEM_JAR" "$PLUGIN_NAME"
+
diff --git a/debian/rules b/debian/rules
index 30012b1..6aba765 100755
--- a/debian/rules
+++ b/debian/rules
@@ -145,7 +145,7 @@ debian-install-stamp:
 	install -m 755 debian/extra/eclipse $(DEB_DESTDIR)usr/bin/eclipse
 	# Use system libraries for the installed eclipse.
 	for LINE in `grep -v '#' debian/sys-jars` ; do \
-		if [ "X$LINE" != X ] ; then \
+		if [ "X$$LINE" != X ] ; then \
 			sh debian/extra/plugin-linker.sh "$(DEB_DESTDIR)usr/lib/eclipse/" `echo $$LINE | sed 's/:/ /g'` ; \
 		fi ;\
 	done
diff --git a/debian/sys-jars b/debian/sys-jars
index f85f4ac..46a5304 100644
--- a/debian/sys-jars
+++ b/debian/sys-jars
@@ -5,4 +5,4 @@ org.apache.commons.el_:/usr/share/java/commons-el.jar
 org.apache.commons.logging_:/usr/share/java/commons-logging.jar
 org.apache.lucene.analysis_:/usr/share/java/lucene-analyzers.jar
 org.hamcrest.core_:/usr/share/java/hamcrest-core.jar
-org.junit4_:/usr/share/java/junit4.jar
+#org.junit4_:/usr/share/java/junit4.jar


hooks/post-receive
-- 
eclipse - Powerful IDE written in java - Debian package.



More information about the pkg-java-commits mailing list